CampaignsGeneral
Create Campaign
AuthorizationBearer <token>
In: header
Header Parameters
x-tenant-id?string|null
namestring
lead_list_ids?|null
exclude_list_ids?|null
sender_ids?|null
exclusion_rules?|null
template_id?string|null
workflow?|null
schedule_override?|null
Response Body
application/json
application/json
curl -X POST "https://api.obert.io/api/campaigns" \ -H "Content-Type: application/json" \ -d '{ "name": "string" }'{
"id": "string",
"name": "string",
"status": "draft",
"lead_lists": [
{
"lead_list_id": "string",
"list_type": "string",
"name": "string",
"item_count": 0,
"columns": [
"string"
]
}
],
"exclude_lists": [
{
"lead_list_id": "string",
"list_type": "string",
"name": "string",
"item_count": 0,
"columns": [
"string"
]
}
],
"senders": [
{
"id": "string",
"linkedin_account_id": "string",
"display_name": "string",
"profile_picture_url": "string",
"connections_rate_limited_until": "2019-08-24T14:15:22Z"
}
],
"exclusion_rules": [
"string"
],
"lead_count": 0,
"pending_count": 0,
"in_progress_count": 0,
"completed_count": 0,
"failed_count": 0,
"skipped_count": 0,
"awaiting_review_count": 0,
"connection_acceptance_rate": 0,
"reply_rate": 0,
"created_at": "2019-08-24T14:15:22Z",
"launched_at": "2019-08-24T14:15:22Z",
"workflow_summary": "string",
"keep_alive": false,
"launch_readiness": {
"can_launch": false,
"warnings": []
},
"schedule_override": {},
"scheduled_count": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}